Skip to main content
POST
/
v1
/
integrations
/
tasks
/
{taskId}
/
checks
/
reconnect
Reconnect checks to a task
curl --request POST \
  --url https://api.trycomp.ai/v1/integrations/tasks/{taskId}/checks/reconnect \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "connectionId": "conn_abc123",
  "checkId": "aws-s3-bucket-public-access"
}
'

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

taskId
string
required

Body

application/json
connectionId
string
required

ID of the integration connection whose check is being disconnected from / reconnected to this task.

Example:

"conn_abc123"

checkId
string
required

ID of the integration check being toggled.

Example:

"aws-s3-bucket-public-access"

organizationId
string

Auto-resolved from your API key / session. You can omit this; it is ignored by the server.

Response

201 - undefined